Subject: bug#47896: 27.2; TRAMP hang/lockup/fault on compile/file access

From: Michael Albinus <[email-masked]>
Date: Wed, 21 Apr 2021 16:22:04 +0200

dag via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> On 2021-04-20 13:16, Michael Albinus <[email-masked]> wrote:
>
>     Your prompt on the remote host looks strange:
>
> --8<---------------cut here---------------start------------->8---
>> ]51;Adgreene@dgreene-dev:/cb/home/dgreene\
> --8<---------------cut here---------------end--------------->8---
>
> Please consult the Tramp manual how to fix this.
>
> Thanks Michael.  I'll take a look at it.  Just to clarify, what is
> "strange" about it?  The control sequences?  I've set it up to work
> with emacs-libvterm.

Yes, the escape sequences. You can check the environment variable
INSIDE_EMACS on the remote host. If Tramp is involved, it tells you there.

> Also, I don't see TRAMP ever hanging on "Waiting for prompt..." it is
> always after that.

Same here, I haven't seen this in the Tramp. But the command ping/pong
between Tramp and the remote host shows some strange entries ...

> David

Best regards, Michael.